#ifndef __24C02_H
#define __24C02_H

#include "main.h"

#define M24C02_WADDR   0xA0                               //写24c02的地址
#define M24C02_RADDR   0xA1                               //读24c02的地址


uint8_t m24c02ReadOneByte(uint8_t );                     //函数声明，从24c02指定的地址读一字节数据
void m24c02WriteOneByte(uint8_t ,uint8_t );              //函数声明，指定地址写入一个数据 
void m24c02ReadSequential(uint8_t,uint8_t *,uint16_t);   //函数声明，从指定的地址读指定数量数据
void eepromReadData(uint8_t ,void *, uint16_t);          //函数声明，从EEprom指定的地址读数据
void eepromWriteData(uint8_t, void *, uint16_t);         //函数声明，从EEprom指定的地址写数据
void eepromReadInfo(void);                               //函数声明，从EEprom读取所有证书参数信息

#endif
















